Skip to main content
`Ctrl`+`K`

# PCASMDestroySubdomains

Destroys the index sets created with `PCASMCreateSubdomains()`. Should be called after setting subdomains with `PCASMSetLocalSubdomains()`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCASMDestroySubdomains(PetscInt n, IS *is[], IS *is_local[])

Collective

## Input Parameters

- n - the number of index sets

- is - the array of index sets

- is_local - the array of local index sets, can be `NULL`

## Developer Note

The `IS` arguments should be a *[]

## See Also

KSP: Linear System Solvers, `PCASM`, `PCASMCreateSubdomains()`, `PCASMSetLocalSubdomains()`

## Level

advanced

## Location

src/ksp/pc/impls/asm/asm.c

## Examples

src/ksp/ksp/tutorials/ex19.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages